package servicestat

import (
	"encoding/json"
	"net/http"
)

type ServiceList map[string]bool

func GatherStatus(url string) (lst ServiceList, err error) {
	rq, _ := http.NewRequest(http.MethodGet, url, nil)
	rq.Header.Set("Content-Type", "application/json")

	cl := &http.Client{}
	r, err := cl.Do(rq)
	if err != nil {
		return lst, err
	}
	lst = make(ServiceList)
	err = json.NewDecoder(r.Body).Decode(&lst)
	return lst, err
}
